PTHREAD_SINGLE_NP(3)

NAME
pthread_single_np, pthread_multi_np - switch thread scheduling mode

SYNOPSIS
#include <pthread.h>
#include <pthread_np.h>
int
pthread_single_np(void);
int
pthread_multi_np(void);

DESCRIPTION
The pthread_single_np() function causes the process to enter single-threaded (non-POSIX) scheduling mode.

The pthread_multi_np() function causes the process to return to multi-threaded scheduling mode.

RETURN VALUES
The pthread_single_np() and pthread_multi_np() functions return zero on success, or an error number on failure.

SEE ALSO
pthreads(3)

STANDARDS
The pthread_single_np() and pthread_multi_np() functions are non-portable and may not be supported with the above semantics on other POSIX systems.